uuid: b8d5ea8f-6462-4f44-bcf6-d4e0fc226e11
langcode: en
status: true
dependencies:
  module:
    - islandora_image
_core:
  default_config_hash: _EcQ_pl-QIvf-gmsbgT1FovXKS2r42fVF5-II8MIUlM
id: digital_document_generate_a_thumbnail_from_an_original_file
label: 'Digital Document - Generate a thumbnail from an original file'
type: node
plugin: generate_image_derivative
configuration:
  queue: islandora-connector-houdini
  event: 'Generate Derivative'
  destination_media_type: image
  source_term_uri: 'http://pcdm.org/use#OriginalFile'
  derivative_term_uri: 'http://pcdm.org/use#ThumbnailImage'
  mimetype: image/png
  args: '-thumbnail 100x100'
  scheme: public
  path: '[date:custom:Y]-[date:custom:m]/[islandoratokens:media-original-file:filename]-[term:name].png'
